/*
 Theme Name:   My Bath Potions
 Theme URI:    https://mybathpotions.com
 Description:  
 Template:     bricks
 Author:       Gumawa
 Author URI:   https://gumawa.co
*/

/* Fonts */
*,
html,
article,
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
input,
select,
button {
  font-family: "indivisible",sans-serif;
}
h1 {
  font-family: "fatfrank",sans-serif;
}
h2,
h3,
h4,
h5,
h6 {
	font-weight: 600;
}
.mbp-heading__clip-dark {
	font-size: 2.4rem;
	font-size: clamp(2.4rem, 1.7198rem + 3.4004vw, 5.8rem);
}
.mbp-prod--heading {
	font-size: 2.5rem;
	font-size: clamp(2.5rem, 2.3rem + 1vw, 3.5rem);
}
.mbp-prod--bento__heading {
	font-size: 1.4rem;
    font-size: clamp(1.4rem, 1.18rem + 1.1vw, 2.5rem);
	font-size: 1.4rem;
	font-size: clamp(1.4rem, 1.2798rem + 0.6001vw, 2rem);
}
.mbp-prod--bento__text {
	font-size: 1rem;
	font-size: clamp(1rem, 0.92rem + 0.3999vw, 1.4rem);
}


*,
html,
body {
  overscroll-behavior: none!important;
  -webkit-tap-highlight-color: transparent;
}

:where(p:not(:last-of-type)) {
    margin: 0 0 var(--space-xs);
}

/* Transitions */
.skip-link,
.mbp-header--nav-items,
.mbp-product-card--arrow,
.mbp-blog-card--arrow,
.mbp-prod--ingredient__toggle-icon {
	transition: var(--transition-fast);
}
a,
.mbp-header--nav-toggle__line,
.mbp-product-card--heading,
.mbp-product-card--img-wrapper,
.mbp-product-card--img,
.mbp-prod--info-list-item,
.mbp-prod--ingredient__toggle,
.mbp--faq__icon,
.mbp-blog-card--heading,
.mbp-blog-card--img,
.mbp-top {
    transition: var(--transition-primary);
}
.not-set {
    transition: var(--transition-slow);
}
.mbp-animate-hovering {
	-webkit-animation: hovering 4s ease-in-out infinite;
    		animation: hovering 4s ease-in-out infinite;
}
-webkit-@keyframes hovering {
	0% {
		transform: translateY(0);
	}
	50% {
		transform: translateY(-1.5rem);
	}
	100% {
		transform: translateY(0);
	}
}
@keyframes hovering {
	0% {
		transform: translateY(0);
	}
	50% {
		transform: translateY(-1.5rem);
	}
	100% {
		transform: translateY(0);
	}
}

/* General */
/* Select Highlight */
::-moz-selection {
  color: var(--primary-d-6);
  background: var(--primary-l-4);
}
::selection {
  color: var(--primary-d-6);
  background: var(--primary-l-4);
}

/* Focus */
:focus-visible {
	box-shadow: 0 0 0 0.25rem var(--primary-l-2)!important;
	border-color: var(--primary)!important;
  	border-radius: var(--radius-l);
}

/* Full Height */
.not-set {
  height: 100vh;
  height: calc(var(--vh, 1vh) * 100);
}

/* Link Wrapper */
.mbp-product-card--heading a::after,
.mbp-prod--info__link::after,
.mbp-blog-card--heading a::after {
  content: "";
  position: absolute;
  inset: 0;
}

/* No Wrap */
.mbp-header--nav-dropdown__link {
  white-space: nowrap;
}

/* Will Change */
.mbp-header--nav-toggle__line,
.mbp-product-card--img-wrapper,
.mbp-product-card--img,
.mbp-product-card--arrow,
.mbp-blog-card--arrow,
.mbp-blog-card--img,
.mbp--faq__icon {
  will-change: transform;
}

/* Screen Reader Only */
.sr-only,
.mbp-socials li span {
	position: absolute;
  	width: 1px;
  	height: 1px;
  	overflow: hidden;
  	clip: rect(0,0,0,0);
  	white-space: nowrap;
}

/* Cursor Default */
[aria-current="page"] {
	cursor: default;
}
/* Pointer Events */
[aria-current="page"] {
	pointer-events: none;
}

/* Text Highlight */
/* Gradient */
.mbp-heading__clip-dark {
	background: linear-gradient(var(--light) 60%, var(--light-50));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
/* Glow */
.mbp-highlight-shadow {
	text-shadow: 0 2px 50px var(--primary-l-3);
}
/* Color */
.mbp-highlight-primary {
	color: var(--primary);
}
.mbp-highlight-light {
	color: var(--primary-l-4);
}


/* Buttons */
button {
	background: inherit;
}
/* Icons */
svg:not([width]) {
    min-width: auto;
}
svg:not([height]) {
    min-height: auto;
}
.mbp-header--nav-dropdown svg {
	min-width: .8rem;
	min-height: .8rem;
}
.btn-primary svg,
.btn-light svg,
.btn-accent svg {
	stroke-width: 2.5px;
	width: var(--text-xl);
	height: var(--text-xl);
	padding: var(--space-4xs);
	border-radius: var(--radius-full);
}
.btn-primary svg {
	background-color: var(--primary-d-1);
}
.btn-light svg {
	background-color: var(--accent-l-8);
}
.btn-accent svg {
	background-color: var(--accent-l-8);
}

/* Inserted Text - Woo */
ins {
	text-decoration: none;
}
/* Scrollbars */
/* Scrollbar Width */
.mbp-card--list::-webkit-scrollbar,
.mbp-prod--info-list::-webkit-scrollbar {
  height: 2px;
}
/* Scrollbar Handle */
.mbp-card--list::-webkit-scrollbar-thumb,
.mbp-prod--info-list::-webkit-scrollbar-thumb {
  background: var(--border-primary-30);
  border-radius: var(--radius-full);
}

/* Skip Links */
.skip-link {
	font-size: var(--text-s);
	font-weight: 500;
	background: var(--primary-d-1);
	top: var(--space-2xs);
	left: var(--space-2xs);
	transform: translateY(-150%);
}

/* Header */
#mbp-nav-items {
	position: absolute;
}
.mbp-header--nav.brx-open #mbp-nav-items {
	top: calc(100% + 1rem);
	top: 0;
}
/* Toggle */
.mbp-header--nav-toggle.active .mbp-header--nav-toggle__line-top {
	transform: translateY(3px) rotate(-45deg);
}
.mbp-header--nav-toggle.active .mbp-header--nav-toggle__line-bottom {
	transform: translateY(-3px) rotate(45deg);
}


/* Cards */
/* Slide */
.splide__track {
	padding: var(--space-2xs) var(--space-l)!important;
}
/* Image */
.mbp-product-card:hover .mbp-product-card--img {
	transform: rotate(-10deg) scale(.95);
}
.mbp-blog-card:hover .mbp-blog-card--img {
	transform: rotate(-3deg) scale(1.1);
}
/* Arrow */
.mbp-product-card:hover .mbp-product-card--arrow,
.mbp-blog-card:hover .mbp-blog-card--arrow {
	transform: scale(1);
	opacity: 1;
}
/* Price */
.mbp-product-card--price__text ins {
	color: var(--success);
	font-weight: 600;
}



/* Single Product Page */
/* Breadcrumbs */
.mbp-prod--breadcrumbs a,
.mbp-prod--breadcrumbs .separator {
	color: var(--text-body);
	font-weight: 400;
}
.mbp-prod--breadcrumbs .separator {
	width: .6rem;
	height: .6rem;
	opacity: .5;
}
.mbp-prod--price del {
	font-size: var(--text-m);
	color: var(--text-body);
	font-weight; 400;
}
/* Add to Cart */
.mbp-prod--add-to-cart form.cart .quantity .qty,
.mbp-prod--add-to-cart form.cart .quantity .minus,
.mbp-prod--add-to-cart form.cart .quantity .plus {
	border-width: 0;
}

/* Ingredients */
.mbp-prod--ingredient.brx-open .mbp-prod--ingredient__toggle-open {
	opacity: 0;
}
.mbp-prod--ingredient.brx-open .mbp-prod--ingredient__toggle-close {
	opacity: 1;
}
.mbp-prod--ingredient.brx-open .mbp-prod--ingredient__toggle {
	background-color: var(--primary-l-5);
}
/* Rhyme */
.mbp-prod--rhyme strong {
	font-weight: 600;
}
/*.mbp-prod--rhyme strong span {
	text-decoration: wavy underline 2px;
	text-underline-offset: 2px;
}
.mbp-prod--rhyme em {
	font-size: 110%;
	font-weight: 500;
	letter-spacing: -1px;
}*/
/* FAQs */
.mbp--faq.brx-open .mbp--faq__icon {
	transform: rotate(180deg);
}

/* Floating Add to Cart */
.mbp-prod--add-to-cart form {
	display: flex;
	gap: var(--space-s);
}
.mbp-prod-floating--add-to-cart form {
	justify-content: space-between;
}
.mbp-prod--add-to-cart form.cart .quantity {
	width: auto;
}
.mbp-prod--add-to-cart form.cart .quantity input {
	font-weight: 500;
}
.mbp-prod--add-to-cart form.cart .quantity+button,
.mbp-prod-floating--add-to-cart form.cart .quantity+button {
	min-width: auto;
	margin-top: 0;
}
.mbp-prod-floating--add-to-cart form.cart .quantity+button {
	width: 100%;
}



/* Footer */
.mbp-footer--sub__form .submit-button-wrapper {
	position: absolute;
	top: 50%;
	right: .5rem;
	transform: translateY(-50%);
}
.mbp-footer--sub__form button {
	width: 3rem;
    height: calc(3rem - 1rem);
}
.mbp-footer--sub__form button::after {
	content: "";
	background-image: url(/wp-content/uploads/2024/05/arrow-right-test-1.svg);
	background-repeat: no-repeat;
	position: absolute;
	width: 1.25rem;
	height: 1.25rem;
}


/********** Responsive **********/
/* Mobile landscape */
@media (min-width: 480px) {
}

/* Tablet portrait */
@media (min-width: 600px) {
}

/* Tablet landscape */
@media (min-width: 801px) {
	/* Nav */
	#mbp-nav-items {
		position: relative;
	}
	/* Dropdown */
	.mbp-header--nav-dropdown:hover::after {
		content: "";
		background-color: var(--light-90);
		-webkit-backdrop-filter: blur(8px);
		        backdrop-filter: blur(8px);
		position: absolute;
		bottom: -6.5px;
		left: 50%;
		transform: translateX(-50%) rotate(-45deg);
		width: 0.8rem; 
  		height: 0.8rem;
		clip-path: polygon(0 0, 100% 100%, 0 100%);
		border-radius: .1rem;
	}
	/* Add to Cart */
	.mbp-prod--add-to-cart__desktop form.cart .quantity {
		background-color: var(--light);
    	border-radius: var(--radius-l);
	}
	/* Footer */
	.mbp-footer--nav {
		grid-column-start: 6;
	}
}

/* Laptop */
@media (min-width: 1025px) {
	/* Slide */
	.splide__track {
		padding: 0 var(--space-l)!important;
	}
	.mbp-card--slide:nth-child(even) {
		margin-top: 4rem;
	}
	/* Cards */
	/* Product Card */
	.mbp-product-card:hover .mbp-product-card--img-wrapper {
		transform: translateY(calc(var(--space-2xs) * -1));
		box-shadow: 0 0.75rem 2rem -.25rem var(--shadow-primary-5);
	}
}

/* Desktop */
@media (min-width: 1281px) {
}
